program Chat; 
uses crt;
var 
Pol:string;
A:string;
YA:string;
otvet:string;
end1:byte;
PNAME:string;
HE:string;
HER:string;
o1:char;
o11:string;
EY:string;
HER1:string;
DAL:string;
LA:string;
o2:char;
o22:string;
begin 
randomize; 
end1:=0;
repeat
writeln('Добро пожалоать в Story Mode');
writeln('Тут вы увидите мои возможности в PASCAL');
writeln('Укажите ваш пол Муж или Жен');
writeln('Это нужно для правильного отображения сообщений, и хода сюжета');
writeln('Всегда пишите с большой буквы!');
readln(Pol);
case Pol of
  'Муж': A:='';
  'Жен': A:='а';
end;
case Pol of
  'Муж': YA:='ый';
  'Жен': YA:='ая';
end;
case Pol of
  'Муж': HER:='его';
  'Жен': HER:='её';
end;
case Pol of
  'Муж': HE:='он';
  'Жен': HE:='она';
end;
case Pol of
  'Муж': EY:='го';
  'Жен': EY:='й';
end;
case Pol of
  'Муж': HER1:='его';
  'Жен': HER1:='ой';
end;
case Pol of
  'Муж': DAL:='внука';
  'Жен': DAL:='внучки';
end;
case Pol of
  'Муж': La:='';
  'Жен': La:='ла';
end;
writeln('Укажите ваше имя');
readln(PNAME);
writeln('Проверяем! Ваш пол: ',Pol,', Ваше имя: ',PNAME);
writeln('. Всё верно?');
readln(otvet);
case otvet of
  'Да': end1:=1;
  'Нет': end1:=0;
end;

until end1=1;
writeln('Это был обычный день, ',PNAME,' как обычно гулял',A,'.');
writeln('Но ',HER,' Ждала неожиданная встреча, ',HE,' не подозревал',A,' о ней');
writeln(PNAME,' гулял',A,' и гулял',A,' но вдруг ',HER,' кто-то схватил за плечо');
writeln('Это оно, неожиданная встреча, это оказался неизвестный мужчина');
writeln('Он сказал: Здраствуй, ',PNAME);
writeln('(Как вы ответите?)');
writeln('1:Привет');
writeln('2:Ты кто?');
readln(o1);
case o1 of
  '1': o11:='Привет';
  '2': o11:='Ты кто?';
end;
if o11='Привет' then
begin
writeln('Как дела у мое',EY,' любим',HER1,' ',DAL,'?');
writeln('(Как вы ответите?)');
writeln('1:Хорошо');
writeln('2:Плохо');
readln(o2);
case o2 of
  '1': o22:='Хорошо';
  '2': o22:='Плохо';
end;
if o22='Хорошо' then
begin
writeln('Вот и хорошо, а за такую доброту я даю тебе подсказку, каждый может добавить своё приложение в магазин и получить плюшки');
writeln('Удачи!');
end;
if o22='Плохо' then
begin
writeln('Ты не смог',La,' так как твой ответ ',o22,' оказался не правильным');
writeln('Пока');
sleep(10000);
exit
end;
end;
if o11='Ты кто?' then
begin
writeln('Ты не смог',La,' так как твой ответ ',o11,' оказался не правильным');
writeln('Пока');
sleep(10000);
exit
end;
end.